freemarker.template.utility

## Class JythonRuntime

- java.lang.Object
- - org.python.util.PythonInterpreter
  - - freemarker.template.utility.JythonRuntime

All Implemented Interfaces:
  TemplateModel, TemplateTransformModel

    public class JythonRuntime
    extends org.python.util.PythonInterpreter
    implements TemplateTransformModel

A crude first pass at an embeddable Jython interpreter

### Field Summary

### Fields inherited from class org.python.util.PythonInterpreter

`cflags, systemState`

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`JythonRuntime()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Writer` `getWriter(Writer out, Map args)` Returns a writer that will be used by the engine to feed the transformation input to the transform.

### Methods inherited from class org.python.util.PythonInterpreter

`cleanup, eval, exec, exec, execfile, execfile, execfile, get, get, getLocals, initialize, set, set, setErr, setErr, setErr, setLocals, setOut, setOut, setOut, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JythonRuntime

    public JythonRuntime()

### Method Detail

#### getWriter

    public Writer getWriter(Writer out,
                            Map args)

Description copied from interface: `TemplateTransformModel`
Returns a writer that will be used by the engine to feed the transformation input to the transform. Each call to this method must return a new instance of the writer so that the transformation is thread-safe.

Specified by:
  `getWriter` in interface `TemplateTransformModel`
Parameters:
  `out` - the character stream to which to write the transformed output
  `args` - the arguments (if any) passed to the transformation as a map of key/value pairs where the keys are strings and the arguments are TemplateModel instances. This is never null. If you need to convert the template models to POJOs, you can use the utility methods in the `DeepUnwrap` class.
Returns:
  a writer to which the engine will feed the transformation input, or null if the transform does not support nested content (body). The returned writer can implement the `TransformControl` interface if it needs advanced control over the evaluation of the transformation body.